# ava is not in fedora yet
%global enable_tests 0
%global module_name os-tmpdir
%global gittag0 1.0.1

Name:           nodejs-%{module_name}
Version:        %{gittag0}
Release:        1%{?dist}
Summary:        Node.js os.tmpdir() ponyfill

License:        MIT
URL:            https://github.com/sindresorhus/os-tmpdir
Source0:        https://github.com/sindresorhus/%{module_name}/archive/%{gittag0}.tar.gz#/%{module_name}-%{gittag0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(ava)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{gittag0}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Sat Sep 12 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.1-1
- Initial packaging

